Bug 445652 - Review Request: libloader - Java Resource Loading Framework
Review Request: libloader - Java Resource Loading Framework
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-08 06:25 EDT by Caolan McNamara
Modified: 2008-06-30 13:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-30 13:26:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Caolan McNamara 2008-05-08 06:25:24 EDT
Spec URL: http://people.redhat.com/caolanm/jfreereport/libloader.spec
SRPM URL: http://people.redhat.com/caolanm/jfreereport/libloader-0.3.7-1.fc9.src.rpm
Description: Resource Loading Framework

Requirement of jfreereport, which itself is a requirement of openoffice.org3
Comment 1 Jason Tibbitts 2008-06-27 16:37:41 EDT
Builds fine; rpmlint just says:
  libloader-javadoc.x86_64: W: non-standard-group Development/Documentation
which isn't a problem since we don't care about Group: anyway.

I can't seem to find anything related to this package at the upstream URL given.
 Am I missing something?

I'm no java expert so I'm just relying on the guidelines; they indicate that you
should be able to call ant with just "ant" instead of "ant compile javadoc" and
indeed the packages seem to come out the same.  I don't think this is remotely
significant, though.

I don't see anything which would prevent this package from being approved, though.

* source files match upstream:
   2ba6b426309d150e897731942aadf464f91adc3617a36744bce7a5bbeb62de9f  
  libloader-0.3.7.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint has acceptable complaints.
* final provides and requires are sane:
  libloader-0.3.7-1.fc10.x86_64.rpm
   libloader.jar.so()(64bit)
   libloader = 0.3.7-1.fc10
  =
   /bin/sh
   java
   java-gcj-compat >= 1.0.31
   jcommon
   jpackage-utils
   libgcc_s.so.1()(64bit)
   libgcc_s.so.1(GCC_3.0)(64bit)
   libgcj_bc.so.1()(64bit)
   libz.so.1()(64bit)

  libloader-javadoc-0.3.7-1.fc10.x86_64.rpm
   libloader-javadoc = 0.3.7-1.fc10
  =
   jpackage-utils
   libloader = 0.3.7-1.fc10

* %check is not present; no test suite upstream.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* code, not content.
* %docs are not necessary for the proper functioning of the package.
Java-specific bits:
* no pre-built jars
* single jar, named after the package
* jarfiles are under _javadir.
* javadocs are under _javadocdir.
* ant called properly.
* no wrapper script necessary.
* gcj called properly.
* gcj scriptlets present and OK.
 
APPROVED
Comment 2 Caolan McNamara 2008-06-30 05:05:59 EDT
New Package CVS Request
=======================
Package Name: libloader
Short Description: A Java Resource Loading Framework
Owners: caolanm
Branches: 
InitialCC:
Cvsextras Commits: yes
Comment 3 Kevin Fenzi 2008-06-30 12:00:49 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.